%define	_name	dbp
%define abi_version 2.0

Name:		dbp-gimp
Version:	1.1.9
Release:	%mkrel 14
Summary:	David's Batch Processor gimp plugin
License:	GPLv2+
Group:		Graphics/Utilities
Url:		https://sourceforge.net/projects/gimpdbpplugin/
Source0:		https://sourceforge.net/projects/gimpdbpplugin/files/Source-Code/%{_name}Src-1-1-9.tgz
Patch0:	gimp3.patch

BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	gimp

Provides:	%{_name} = %{version}

Obsoletes:	%{_name}
Obsoletes:	gimp-plugin-registry

%description
DBP (David's Batch Processor) is a simple batch processing
plugin for the Gimp - it allows the user to automatically
perform operations (such as resize) on a collection of
image files.
Its main advantage is that the user does not have to learn
a scripting language. Like the Gimp itself, DBP relies on
a graphical interface. The user creates a list of images,
and sets up the processing required for each image.
The results of the current settings can be displayed.
Once the required sequence of operations has been set up,
DBP performs the same processing on each image in turn.
The images can be colour corrected, resized, cropped,
and sharpened, then renamed and saved to a different file
in a specified image format.
All the steps (except loading and saving the image!) are optional;
so the simplest use of DBP is just to convert a number of image
files from one format to another.

Note that DBP is intended for RGB, not indexed images.
Trying to process an indexed image will probably just cause an error,
and DBP will halt.
Also, DBP will not overwrite the original image
(in fact, it should not overwrite any file) -
images must at least be either renamed (possibly by changing
the image format) or moved to a different directory.

%prep
%setup -q -n %{_name}-%{version}
#patch0 -p1

%build
%set_build_flags
export CPPFLAGS="$CXXFLAGS"
%make_build

%install
mkdir -p %{buildroot}
install -D -m755 %{_name} %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/%{_name}

%files
%{_libdir}/gimp/%{abi_version}/plug-ins/%{_name}


%changelog
* Sun Feb 05 2023 daviddavid <daviddavid> 1.1.9-14.mga9
+ Revision: 1938646
- reintroduce dbp-gimp in mageia (mga#28914)
+ luigiwalser <luigiwalser>
- build with gimp3
- try rebuilding gimp plugin

* Tue Feb 18 2020 umeabot <umeabot> 1.1.9-13.mga8
+ Revision: 1539049
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Nov 29 2019 daviddavid <daviddavid> 1.1.9-12.mga8
+ Revision: 1463692
- rebuild for new gegl 0.4.18

* Sun Sep 23 2018 umeabot <umeabot> 1.1.9-11.mga7
+ Revision: 1297410
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 umeabot <umeabot> 1.1.9-10.mga6
+ Revision: 959839
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.1.9-9.mga6
+ Revision: 895143
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.1.9-8.mga5
+ Revision: 747712
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.9-7.mga5
+ Revision: 678682
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.9-6.mga4
+ Revision: 521722
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.1.9-5.mga3
+ Revision: 391803
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 matteo <matteo> 1.1.9-3.mga3
+ Revision: 261723
- use %%setup_compile_flags

* Wed Jan 18 2012 matteo <matteo> 1.1.9-2.mga2
+ Revision: 197987
- obsoletes gimp-plugin-registry (bugs mga#3077 and mga#4189)

* Sun Jan 15 2012 matteo <matteo> 1.1.9-1.mga2
+ Revision: 196414
- fixed provides
- imported package dbp-gimp

